Subject: Re: [PATCH] Documentation: update description of shell aliases

From: Andreas Ericsson <[email-masked]>
Date: Thu, 02 Jul 2009 09:21:31 +0200

Sitaram Chamarty wrote:
> On Wed, Jul 1, 2009 at 11:51 PM, Junio C Hamano<[email-masked]> wrote:
>> Sitaram Chamarty <[email-masked]> writes:
>>
>>> Aliases that invoke shell commands start from the top-level directory,
>>> but this was not documented.
>> Could you please also think if it is worth mentioning what happens when
>> you do not even have a top-level directory?  I.e. in a bare repository.
> 
> Yes I thought about it.  I decided not to add that because
> it is:
> 
>   - not common enough (how many new users fiddle in bare
>     repos?)
> 

I do that quite a lot, but I can't recall ever using an alias
in a bare repo. It would be odd if I did, as the only alias I've
got is this:

   alias.wsfix=!git diff HEAD >P.diff && git reset --hard HEAD && git apply --whitespace=fix P.diff && rm -f P.diff

which isn't always doing the right thing even in a non-bare
repository, and never in a bare one.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.